Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractSlider.SliderAction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractSlider.SliderAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSlider

    public static final class QAbstractSlider.SliderAction

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QAbstractSlider.SliderAction` | `SliderMove`
`static QAbstractSlider.SliderAction` | `SliderNoAction`
`static QAbstractSlider.SliderAction` | `SliderPageStepAdd`
`static QAbstractSlider.SliderAction` | `SliderPageStepSub`
`static QAbstractSlider.SliderAction` | `SliderSingleStepAdd`
`static QAbstractSlider.SliderAction` | `SliderSingleStepSub`
`static QAbstractSlider.SliderAction` | `SliderToMaximum`
`static QAbstractSlider.SliderAction` | `SliderToMinimum`

Method Summary
`static QAbstractSlider.SliderAction` | `resolve(int value)` Returns the QAbstractSlider$SliderAction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSlider.SliderAction` | `valueOf(java.lang.String name)`
`static QAbstractSlider.SliderAction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SliderNoAction

    public static final QAbstractSlider.SliderAction SliderNoAction

### SliderSingleStepAdd

    public static final QAbstractSlider.SliderAction SliderSingleStepAdd

### SliderSingleStepSub

    public static final QAbstractSlider.SliderAction SliderSingleStepSub

### SliderPageStepAdd

    public static final QAbstractSlider.SliderAction SliderPageStepAdd

### SliderPageStepSub

    public static final QAbstractSlider.SliderAction SliderPageStepSub

### SliderToMinimum

    public static final QAbstractSlider.SliderAction SliderToMinimum

### SliderToMaximum

    public static final QAbstractSlider.SliderAction SliderToMaximum

### SliderMove

    public static final QAbstractSlider.SliderAction SliderMove

Method Detail

### values

    public static QAbstractSlider.SliderAction[] values()

### valueOf

    public static QAbstractSlider.SliderAction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSlider.SliderAction resolve(int value)

  Returns the QAbstractSlider$SliderAction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD